%{!?python3_pkgversion:%global python3_pkgversion 3}

# EL7 does not have a new enough python-setuptools
%if 0%{?rhel} && 0%{?rhel} <= 7
%global with_python2 0
%else
%global with_python2 1
%endif

%global pypi_name sphinx-autobuild
%global name_with_underscore sphinx_autobuild
%global sum Watch a Sphinx directory and rebuild the documentation

Name:           python-%{pypi_name}
Version:        0.6.0
Release:        1%{?dist}
Summary:        %{sum}

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
%if 0%{?with_python2}
BuildRequires:  python2-devel
BuildRequires:  pytest
%endif
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest

Requires:       python-watchdog
Requires:       python-argh
Requires:       python-pathtools
Requires:       PyYAML
Requires:       python-tornado
Requires:       python-port-for
Requires:       livereload

%description
Watch a Sphinx directory and rebuild documentation when a change is detected.

%if 0%{?with_python2}
%package -n python2-%{pypi_name}
Summary:        %{sum}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
Watch a Sphinx directory and rebuild documentation when a change is detected.
%endif

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{sum}
Requires:       python3-watchdog
Requires:       python3-argh
Requires:       python3-pathtools
Requires:       python3-PyYAML
Requires:       python3-tornado
Requires:       python3-port-for
Requires:       python3-livereload
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Watch a Sphinx directory and rebuild documentation when a change is detected.

%prep
%autosetup -n %{pypi_name}-%{version} 

%build
%py3_build
%if 0%{?with_python2}
%py2_build
%endif

%install
%py3_install
mv %{buildroot}%{_bindir}/%{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-3
%if 0%{?with_python2}
%py2_install
%endif

%if 0%{?with_python2}
%files -n python-%{pypi_name}
%doc AUTHORS NEWS.rst README.rst
%license LICENSE
%{python2_sitelib}/%{name_with_underscore}
%{python2_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
%{_bindir}/%{pypi_name}
%endif

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc AUTHORS NEWS.rst README.rst
%license LICENSE
%{python3_sitelib}/%{name_with_underscore}
%{python3_sitelib}/%{name_with_underscore}-%{version}-py?.?.egg-info
%{_bindir}/%{pypi_name}-3

%changelog
* Mon Jun 20 2016 Sundeep Anand <suanand@redhat.com> - 0.6.0-1
- https://bugzilla.redhat.com/show_bug.cgi?id=1348003

* Tue Feb 16 2016 Sundeep Anand <suanand@redhat.com> - 0.5.2-4
- https://bugzilla.redhat.com/show_bug.cgi?id=1307172

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 27 2016 Sundeep Anand <suanand@redhat.com> - 0.5.2-2
- Fix binary shebang in python3 subpackage

* Fri Jan 22 2016 Sundeep Anand <suanand@redhat.com> - 0.5.2-1
- Initial RPM Package
